<?php
/**
* @package Joomla
* @subpackage p8Twitter
* @copyright Copyright (C) 2005 Rob Clayburn. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/


// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class p8TwitterViewHome {

	/**
	 * set up the menu when viewing the page
	 */

	function setListsToolbar()
	{
	  JToolBarHelper::title(JText::_( 'TWITTERVIEWS' ), 'twitter.png' ); 
	  JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();
		JToolBarHelper::preferences('com_p8twitter', '300');
	}
	
	
	/**
	 * set up the menu when editing the groups
	 */

	function setListToolbar()
	{
		$task = JRequest::getVar( 'task', '', 'method', 'string');
		JToolBarHelper::title( $task == 'add' ? JText::_( 'TWITTERVIEW' ) . ': <small><small>[ '. JText::_( 'NEW' ) .' ]</small></small>' : JText::_( 'TWITTERVIEW' ) . ': <small><small>[ '. JText::_( 'EDIT' ) .' ]</small></small>', 'twitter.png'  );
		JToolBarHelper::save( 'save' );
		JToolBarHelper::apply('apply');
		JToolBarHelper::cancel(	 'cancel' );
	}
	
	/**
	* Display home page
	*/
	
	function show( $rows, $pageNav, $lists )
	{
		p8TwitterViewHome::setListsToolbar();
    $user	  = &JFactory::getUser();
		 ?> 
		<form action="index.php" method="post" name="adminForm">
			<table summary="application filter" >
			<tr>
				<td>
					<?php echo $lists['apptypes'];?>
				</td>
			</tr>
		</table>
		
		<table class="adminlist"> 
			<thead>
			<tr>
			<th width="2%">#</th>
				<th width="1%" > 
					<input type="checkbox" name="toggle" value=""  onclick="checkAll(<?php echo count( $rows ); ?>);" />
				</th>
				<th width="70%"><?php echo JText::_( 'NAME' ); ?></th>
				<th width="20%"><?php echo JText::_( 'TWITTERVIEW' ); ?></th>
				<th width="10%" >
					<?php echo JHTML::_('grid.sort', 'PUBLISHED', 'published', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
			</tr>
			</thead>
			<tfoot>
			<tr>
				<td colspan="8">
					<?php echo $pageNav->getListFooter(); ?>
				</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
		$k = 0;
		for ( $i = 0, $n = count($rows); $i < $n; $i ++ ) {
			$row = & $rows[$i];
			$checked		= JHTML::_('grid.checkedout', $row, $i );
			$link 	= JRoute::_( 'index.php?option=com_p8twitter&c=home&task=edit&cid='. $row->id );
			$row->published = $row->state;
			$published		= JHTML::_('grid.published', $row, $i );
			?> 
			<tr class="<?php echo "row$k"; ?>">
				<td width="1%"><?php echo $row->id; ?></td>
				<td width="1%"><?php echo $checked; ?></td>
				<td width="29%">
					<?php
					if ( $row->checked_out && ( $row->checked_out != $user->get( 'id' ) )) {
						echo $row->name;
					} else {
					?>
						<a href="<?php echo $link; ?>" >
						<?php 
						echo $row->name; 
					}
					?>
					</a>
				</td>
				<td>
					<?php echo $row->twitter_view ?>
				</td>
				<td>
					<?php if ($row->published == "1") {
						$img = 'publish_g.png';
						$alt = JText::_( 'Yes' );
					} else {
						$img = "publish_x.png";
						$alt = JText::_( 'No' );
					}
					?>
						<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $row->published ? "unpublish" : "publish";?>');">
							<img src="images/<?php echo $img;?>" border="0" alt="<?php echo $alt; ?>" />
						</a>
				</td>
			</tr> 
			<?php
			$k = 1 - $k;
		} 
		?> 
			</tbody>
		</table>
		<input type="hidden" name="option" value="com_p8twitter" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="c" value="home" />
		<input type="hidden" name="task" value="" />
		<?php echo JHTML::_( 'form.token' ); ?>
	</form>		
	<?php 
	}
	
	/** 
	 * edits an application
	 * @param object application
	 */
	 
	function edit( $row, $form ) {
		p8TwitterViewHome::setListToolbar();
		JHTML::_('behavior.tooltip');
		JRequest::setVar( 'hidemainmenu', 1 );
		$config =& JFactory::getConfig();
		$editor =& JFactory::getEditor();
		JFilterOutput::objectHTMLSafe( $row );
		$document =& JFactory::getDocument();
		
		$js = "
		function submitbutton(pressbutton) {		

		var form = document.adminForm;"
		. $editor->save( 'description' ).
		 $editor->save( 'tags' )." 
		 if (pressbutton == 'cancel') {
		submitform( pressbutton );
		return;
	}
	  submitform( pressbutton ); 
		}
		";
		$document->addScriptDeclaration($js);
		$editor->save( 'intro' )  
		?>
		<form action="index.php" method="post" name="adminForm"> 
		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'DETAILS' ); ?></legend>
				<?php echo $form->render( 'details', 'app' ); ?>
				<?php echo $form->render( ); ?>

		<input type="hidden" name="option" value="com_p8twitter" /> 
		<input type="hidden" name="task" value="save" />
		<input type="hidden" name="c" value="home" /> 
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		</fieldset>
		</div>
		<?php echo JHTML::_( 'form.token' );
		echo JHTML::_('behavior.keepalive'); ?>
	</form>
<?php
 }

}
?>