<?php
/**
 * @package Joomla
 * @subpackage p8Twitter
 * @copyright Copyright (C) 2005 Rob Clayburn. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.model');

/**
 *
 * All rights reserved
 * Joomla! is Free Software
 * License: http://www.gnu.org/copyleft/gpl.html
 *
 * @package p8Twitter
 * @Copyright (C) Rob Clayburn
 * @version $Revision: 1.8 $
 *
 */

class p8twitterModelTweet extends JModel {


  /** @var data requested by component */
  var $data = null;

  var $_navLimit = 10;

  var $row = null;

  var $searchData = null;

  function getData()
  {
    if (!isset( $this->data )) {
      require_once( JPATH_COMPONENT.DS.'libs'.DS.'class.twitter.php' );
      $this->api = new twitter();
      $config =& JComponentHelper::getParams( 'com_p8twitter' );
      $this->api->username  = $config->get('username');
      $this->api->password = $config->get('password');
      $row =& $this->getRow();
      $method = $row->twitter_view;
      $userid = $row->twitter_users;
      $this->data =& $this->api->$method( $userid );
      $this->hrefURLS( $this->data );
      	
    }
    return $this->data;
  }

  private function hrefURLS(&$d)
  {
    foreach ($d as &$data) {
      $data->text = preg_replace("/(([a-z][A-z]+:\/\/)([a-zA-Z0-9?&%.;:\/=+_-]*))/", "<a href=\"$1\" target=\"_blank\">$1</a>", $data->text);
    }
  }

  function getSearchData()
  {
    if (!isset( $this->searchData )) {
      require_once( JPATH_COMPONENT.DS.'libs'.DS.'class.twitter.php' );
      $this->api = new twitter();
      $config =& JComponentHelper::getParams( 'com_p8twitter' );
      $this->api->username  = $config->get('username');
      $this->api->password = $config->get('password');

      	
      $this->searchData = $this->api->search();
      $this->hrefURLS( $this->searchData );
    }
    return $this->searchData;
  }

  function getRow()
  {
    if (!isset( $this->row )) {
      $this->row =& JTable::getInstance('list', 'Table');
      $db =& JFactory::getDBO();
      $id = JRequest::getInt( 'id' );
      $this->row->load( $id );
      $this->row->parameters	= new JParameter( $this->row->attribs );
    }
    return $this->row;
  }

  function getTwitterView()
  {
    $row =& $this->getRow();
    return $row->twitter_view;
  }



}?>